.footer-wrapper{background-color: var(--bs-grey-bg);position: relative;}
.footer-wrapper::after{ background-image: url('../images/footer-bg-pattern.png'); background-repeat: no-repeat; background-position: left bottom; background-size: auto; background-attachment: scroll; position: absolute;height: 100%;width: 100%;top: 0;left: 0;content: "";display: block;z-index: 0;border-radius: 30px;pointer-events: none;}
.footer{
    background-color: var(--bs-sec-color);
    color:#fff;
	margin:0 20px;
	border-radius: 30px;
	font-size: 14px;

}
.footer a{
	color:#fff;
}

.ssad-section .ss-ad-bg{
	background-repeat: no-repeat;
    background-position: center center;
	background-size: 1920px auto;
	padding-top:3rem;
	padding-bottom:3rem;
}
.ssad-section .ss-ad-bg .iconfont{
	color:#fff;
}
.ssad-section .ss-ad-bg a.ss-icon{
	background-color:var(--bs-theme-color);
	justify-content: center;
    align-items: center;
    vertical-align: middle;
    transition: all 0.01s;
    display: inline-flex;
    flex-wrap: wrap;
    align-content: center;
    width:2rem;
    height:2rem;
}
.ssad-section .ss-ad-bg a.ss-icon:hover{ 
	background-color:var(--bs-black);
}
.ssad-section .ss-label{
	color:#fff;
	font-size:1.2rem;
	font-weight:bold;
	letter-spacing:0.1rem;
}
.flogo img{
	width:2rem;
	max-width:80%;
	margin-right:1rem;
	height:auto;
}
.footerabout{
	color:#fff7 !important;
}
.footer a.fs-7,
.footer .fs-7 {
    font-size: 0.8rem!important;
    line-height: 1;
    align-items: center;
}
.footer-bg-red .fb-items{
	border-right:1px solid #fff;
}
.footer-bg-red .fb-items:last-child{
	border-right:none;
}
.footer-bg-red .fb-items a:hover,
.footer-bg-red .fb-items a{
	color:#fff !important;
	font-size: 0.8rem!important;
	line-height:1;
}
.footer-bg-red{
	background-color:#1f4782;
	color:#fff;
	font-size: 0.8rem!important;
}
.footer .nav-link:hover{color:#ffffff;}
.footer .f-logo{max-width: 120px;margin-left: 32px;}
.footer .f-qcode{display: flex;justify-content: left;align-items: self-start;margin-top: 30px;}
.footer .f-qcode .f-qcode-item{margin-right: 14px;max-width: 80px;text-align: center;}
.footer .f-qcode .f-qcode-item .f-qcode-img img{overflow: hidden;border-radius: 5px;}
.footer .f-qcode .f-qcode-item .f-qcode-name{margin-top: 6px;}
.footer .wh-footer-text-area{color: #666666;padding: 0;z-index: 1;position: relative;background-color: transparent;}
.footer .wh-footer-text-area>.container{position: relative;z-index: 2;}
.footer .wh-footer-text-inner{padding: 20px 35px;border-radius: 30px 30px 0 0;background-color: var(--bs-grey-bg);font-size: 14px;text-align: center;}
.footer .wh-footer-text-inner::before{left: -8px;border-bottom-right-radius: 20px;}
.footer .wh-footer-text-inner::after{right: -8px;border-bottom-left-radius: 20px;}
.footer .wh-footer-text-inner::after, 
.footer .wh-footer-text-inner::before{ content: "";position: absolute;background-color: transparent;bottom: 0;height: 40px;width: 20px;box-shadow: 0 20px 0 0 var(--bs-grey-bg);}
.footer .wh-footer-text-area a{color: #666666;}
@media only screen and (max-width:1040px) {
    #footer{padding:30px 0px;margin-top: 15px;}
    .f_nav{padding-top: 0px; height: auto;}
    .f_nav a{margin-bottom: 5px;}
    .m_share{text-align:center;margin:10px 0;overflow: hidden;display: block;}
    .m_share .share{width:24px;height: 24px;font-size: 1.8rem;margin-right:5px;margin-bottom:5px;overflow:hidden;color: #a4a4a4;line-height:24px;}
    .footer-bg-red{padding-bottom:55px;}
    .ssad-section .ss-ad-bg{
    	background-size:auto 100%;
    }
}

@media (max-width: 1366px){
	.footer .wh-footer-text-inner::after, 
	.footer .wh-footer-text-inner::before{
		content: unset;
		position: unset;
	}
}
@media (max-width: 992px){
	.footer .f-logo{margin:0 auto;max-width: 80px;}
	.footer .f-qcode{justify-content: center;}
	.footer .f-qcode .f-qcode-item{margin-right: 10px;}
}